/*<applet code="ScribbleApplet1.class" 
          width="500" height="400"></applet>*/ 
import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

public class ScribbleApplet1 extends Applet {
  private Canvas c = new MyCanvas();
  public void init(){
    this.setLayout(new BorderLayout());
    this.add(c,BorderLayout.CENTER);
  }
}

class MyCanvas extends Canvas {
  private int lastX, lastY;  
  public MyCanvas() {
    addMouseListener(new AscoltaClick());
    addMouseMotionListener(new AscoltaDrag());
  }
  class AscoltaClick extends MouseAdapter {
    public void mousePressed(MouseEvent e) {
      lastX = e.getX();
      lastY = e.getY();
    }
  }
  class AscoltaDrag extends MouseMotionAdapter {
    public void mouseDragged(MouseEvent e) {
      int x = e.getX();
      int y = e.getY();
      getGraphics().drawLine(lastX,lastY,x,y);
      lastX = x;
      lastY = y;
    }
  }
}
